## mt7630e 20140625

=== btloader/Makefile ===
obj-m := mt76xx.o
KVERSION:= $(shell uname -r)

all:
	$(MAKE) -C /lib/modules/$(KVERSION)/build M=$(PWD) modules
clean:
	$(MAKE) -C /lib/modules/$(KVERSION)/build M=$(PWD) clean

=== rt2x00/Makefile ===
rt2x00lib-y				+= rt2x00dev.o
rt2x00lib-y				+= rt2x00mac.o
rt2x00lib-y				+= rt2x00config.o
rt2x00lib-y				+= rt2x00queue.o
rt2x00lib-y				+= rt2x00link.o
rt2x00lib-y				+= mt_linux.o
rt2x00lib-$(CONFIG_RT2X00_LIB_DEBUGFS)	+= rt2x00debug.o
rt2x00lib-$(CONFIG_RT2X00_LIB_CRYPTO)	+= rt2x00crypto.o
rt2x00lib-$(CONFIG_RT2X00_LIB_FIRMWARE)	+= rt2x00firmware.o
rt2x00lib-$(CONFIG_RT2X00_LIB_LEDS)	+= rt2x00leds.o

obj-$(CONFIG_RT2X00_LIB)		+= rt2x00lib.o
obj-$(CONFIG_RT2X00_LIB_MMIO)		+= rt2x00mmio.o
obj-$(CONFIG_RT2X00_LIB_PCI)		+= rt2x00pci.o
obj-$(CONFIG_RT2X00_LIB_SOC)		+= rt2x00soc.o
obj-$(CONFIG_RT2X00_LIB_USB)		+= rt2x00usb.o
obj-$(CONFIG_RT2800_LIB)		+= rt2800lib.o
obj-$(CONFIG_RT2400PCI)			+= rt2400pci.o
obj-$(CONFIG_RT2500PCI)			+= rt2500pci.o
obj-$(CONFIG_RT61PCI)			+= rt61pci.o
obj-$(CONFIG_RT2800PCI)			+= rt2800pci.o
obj-$(CONFIG_RT2500USB)			+= rt2500usb.o
obj-$(CONFIG_RT73USB)			+= rt73usb.o
obj-$(CONFIG_RT2800USB)			+= rt2800usb.o

KVERSION:= $(shell uname -r)

all:
	$(MAKE) -C /lib/modules/$(KVERSION)/build M=$(PWD) modules
clean:
	$(MAKE) -C /lib/modules/$(KVERSION)/build M=$(PWD) clean

## mt7630e 20140625-v2

=== debian/changelog ===
mt7630e (20140625-v2-4wataugafour2) precise; urgency=medium

  * add BUILD_EXCLUSIVE_KERNEL="3\.13\..*".

 -- Shengyao Xue <shengyao.xue@canonical.com>  Fri, 12 Dec 2014 22:50:53 +0800

mt7630e (20140625-v2-4wataugafour1) precise; urgency=medium

  * Initial for Wataugafour project. 

 -- Shengyao Xue <shengyao.xue@canonical.com>  Thu, 11 Dec 2014 11:07:05 +0800

mt7630e (20140625-v2-4) trusty; urgency=medium

  * mt7630e-wiress depends on linux-headers-generic (<3.15)

 -- Keng-Yu Lin <kengyu@lexical.tw>  Fri, 28 Nov 2014 15:02:33 +0800

mt7630e (20140625-v2-3) trusty; urgency=low

  * Initial release

 -- Keng-Yu Lin <kengyu@lexical.tw>  Thu, 27 Nov 2014 19:53:42 +0800

=== debian/control ===
Source: mt7630e
Section: net
Priority: optional
Maintainer: Keng-Yu Lin <kengyu@lexical.tw>
Build-Depends: debhelper (>= 9), dkms
Standards-Version: 3.9.5
Homepage: http://www.mediatek.com/en/downloads/mt7630-pcie/

Package: mt7630e-wireless
Architecture: any
Depends: ${misc:Depends}, dkms, linux-headers-generic | linux-headers-generic-lts-trusty
Description: MT7630 wireless driver and firmware
 MT7630 wireless driver in DKMS format and firmware.

Package: mt7630e-bluetooth
Architecture: any
Depends: ${misc:Depends}, dkms, linux-headers-generic | linux-headers-generic-lts-trusty
Description: MT7630 bluetooth firmware loader and firmware
 MT7630 bluetooth firmware and its kernel-space loader.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

DEB_BUILD_ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEBVERS := $(shell dpkg-parsechangelog | grep ^Version: | cut -d' ' -f2 \
		| cut -d- -f1)
VERSION := $(shell echo '$(DEBVERS)' | sed -e 's/[+-].*//' -e 's/~//g')
DKMS_WIFI_SRC_DIR := $(CURDIR)/debian/mt7630e-wireless/usr/src/mt7630e-wireless-$(VERSION)
DKMS_BT_SRC_DIR := $(CURDIR)/debian/mt7630e-bluetooth/usr/src/mt7630e-bluetooth-$(VERSION)

override_dh_auto_install:
	install -d $(DKMS_BT_SRC_DIR)
	install -d $(DKMS_WIFI_SRC_DIR)
	cp -a btloader/* $(DKMS_BT_SRC_DIR)
	cp -a rt2x00/* $(DKMS_WIFI_SRC_DIR)
	dh_auto_install

override_dh_dkms:
	dh_dkms -V $(VERSION)

%:
	dh $@ --with dkms
